Get the alerting framework health
- Base URL
-
https://{kibana_url}
-
GET
/api/alerts/alerts/_health
-
GET
/s/{space_id}/api/alerts/alerts/_health
Auth
Deprecated
Deprecated in 7.13.0. Use the get alerting framework health API instead.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
Indicates a successful call.
application/json
-
alertingFrameworkHealth
object
-
Three substates identify the health of the alerting framework: decryptionHealth, executionHealth, and readHealth.
-
-
decryptionHealth
object
-
The timestamp and status of the alert decryption.
-
-
status
enum
-
Values:
error
ok
warn
-
timestamp
string · format: date-time
-
executionHealth
object
-
The timestamp and status of the alert execution.
-
-
status
enum
-
Values:
error
ok
warn
-
timestamp
string · format: date-time
-
readHealth
object
-
The timestamp and status of the alert reading events.
-
-
status
enum
-
Values:
error
ok
warn
-
timestamp
string · format: date-time
-
hasPermanentEncryptionKey
boolean
-
If false, the encrypted saved object plugin does not have a permanent encryption key.
-
isSufficientlySecure
boolean
-
If false, security is enabled but TLS is not.
Authorization information is missing or invalid.
application/json
-
error
enum
-
Values:
Unauthorized
-
statusCode
enum
-
Values:
401